petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscMatlabEnginePut

Puts a Petsc object into the MATLAB space. For parallel objects, each processors part is put in a separate MATLAB process.

### Synopsis

    #include "petscmatlab.h"
    PetscErrorCode  PetscMatlabEnginePut(PetscMatlabEngine mengine,PetscObject obj)

Collective on PetscObject Many br

### Input Parameters

| mengine | - the MATLAB engine Many br
| object | - the PETSc object, for example Vec Many br

Many br

### See Also

PetscMatlabEngineDestroy(), PetscMatlabEngineCreate(), PetscMatlabEngineGet(),
PetscMatlabEngineEvaluate(), PetscMatlabEngineGetOutput(), PetscMatlabEnginePrintOutput(), Many brPETSC_MATLAB_ENGINE_(), PetscMatlabEnginePutArray(), MatlabEngineGetArray(), PetscMatlabEngine Many br

Level:advanced
Location:src/sys/classes/matlabengine/matlab.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html